group "CommodityCalculationPeriods.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 6 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations

Content Model Diagram

Complex Content Model
calculationDates | calculationPeriods | calculationPeriodsSchedule | (calculationPeriodsReference | calculationPeriodsScheduleReference | calculationPeriodsDatesReference)?

Content Model Elements (6):

  calculationDates (defined in CommodityCalculationPeriods.model group),
  calculationPeriods (defined in CommodityCalculationPeriods.model group),
  calculationPeriodsDatesReference,
  calculationPeriodsReference,
  calculationPeriodsSchedule (defined in CommodityCalculationPeriods.model group),
  calculationPeriodsScheduleReference

Known Usage Locations

- In definitions of global complexTypes (3):
  AveragePriceLeg, FixedPriceLeg, FloatingPriceLeg

Annotation
The different options for specifying the Calculation Periods.
XML Source (w/o annotations (5); see within schema source)

<xsd:group name="CommodityCalculationPeriods.model"> <xsd:choice> <xsd:element name="calculationDates" type="AdjustableDates"/> <xsd:element name="calculationPeriods" type="AdjustableDates"/> <xsd:element name="calculationPeriodsSchedule" type="CommodityCalculationPeriodsSchedule"/> <xsd:group minOccurs="0" ref="CommodityCalculationPeriodsPointer.model"/> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/6)
calculationDates

  Type: | AdjustableDates, complex content

  The Calculation Period dates for this leg of the trade where the Calculation Periods are all one day long, typically a physically-settled emissions or metals trade. Only dates explicitly included determine the Calculation Periods and there is a Calculation Period for each date specified.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="calculationDates" type="AdjustableDates"/>

calculationPeriods

  Type: | AdjustableDates, complex content

  The Calculation Period start dates for this leg of the swap. This type is only intended to be used if the Calculation Periods differ on each leg. If Calculation Periods mirror another leg, then the calculationPeriodsReference element should be used to point to the Calculation Periods on that leg - or the calculationPeriodsScheduleReference can be used to point to the Calculation Periods Schedule for that leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="calculationPeriods" type="AdjustableDates"/>

calculationPeriodsSchedule

  Type: | CommodityCalculationPeriodsSchedule, complex content

  The Calculation Periods for this leg of the swap. This type is only intended to be used if the Calculation Periods differ on each leg. If Calculation Periods mirror another leg, then the calculationPeriodsReference element should be used to point to the Calculation Periods on the other leg - or the calculationPeriodsScheduleReference can be used to point to the Calculation Periods Schedule for that leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="calculationPeriodsSchedule" type="CommodityCalculationPeriodsSchedule"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.